ERC20 Transfers

Full historical decoded ERC20 token transfers.

Method: GET

Endpoint: https://api.syve.ai/v1/filter-api/base-erc20

📘

List of examples

The best way to understand how to use the Filter API is to visit the section of examples here.

Request Parameters

All request parameters have the format <operator>:<field_name>. Each field of the table can be used as field_name. See the "Response Fields" section below for possible values.

📘

Request Syntax

For more information on how to construct a request using the Filter API click here.

Response Fields

FieldTypeDescription
transaction_hashstringThe transaction hash of the event log.
transaction_indexintegerThe position of the transaction in a block of the log.
block_numberintegerThe block number (i.e. height) of the event log.
timestampintegerUNIX timestamp in seconds.

The zero value corresponds to the 1st of January 1970 at UTC, called the Unix Epoch.
from_addressstringThe address that is the sender of the ERC20 token transferred.
to_addressstringThe address that is the recipient of the ERC20 token transferred.
token_addressstringThe unique address of the ERC20 token that was transferred.
token_symbolstringThe symbol of the ERC20 token.
token_namestringThe name of the ERC20 token.
log_indexintegerThe position of the log within the block.
value_baseintegerThe base amount of the underlying token that was transferred.

The base amount is the smallest amount in which a token can be represented. The smallest denomination used by token depends on the token_decimals of the underlying token.

Note: For information on the decimals used by each token use the ERC20 metadata endpoint.
value_tokendoubleThe amount of the underlying token that was transferred.

Note: value_token equals to value_base divided by 10**token_decimals.

Live Example

Press Try It to make a request and see what the response looks like. Feel free to try different values for each request parameter.

Note: The below live example does not include all possible request parameters.

Query Params
int32
Defaults to 16000000
int32
Defaults to 17000000
int32
Defaults to 10
string
Defaults to desc
Language
Response
Click Try It! to start a request and see the response here!